# List

`GET /workspaces/:workspace/distributions`

Get all distributions in the workspace

**Required Scopes:** `DISTRIBUTION_INFO`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
}
```

## Query Parameters

```typescript
interface QueryParameters {
  /** Project name to filter distributions */
  project_name?: string; // Example: "my-project"
  /** Environment ID to filter distributions */
  environment_id?: string; // Example: "3a4KbBQl"
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  distributions?: ShortDistributionView[];
}
```

## Type Definitions

```typescript
interface ShortDistributionView {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The ID of the distribution */
  id?: number;
  /** A human-readable ID of the distribution. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end). */
  identifier?: string;
  /** The name of the distribution */
  name?: string;
  /** Indicates if the distribution is disabled */
  disabled?: boolean;
}

```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces/my-workspace/distributions",
  "html_url": "https://app.buddy.works/my-workspace/-/routing",
  "distributions": [
    {
      "url": "https://api.buddy.works/workspaces/my-workspace/distributions/rm1P93jG",
      "html_url": "https://app.buddy.works/my-workspace/-/routing/rm1P93jG/routes",
      "id": "rm1P93jG",
      "identifier": "test",
      "name": "test",
      "disabled": false
    }
  ]
}
```

---
Original source: https://buddy.works/docs/api/distributions/list